Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.service
Class MBeanException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--weblogic.utils.NestedRuntimeException
                              |
                              +--weblogic.security.service.SecurityServiceRuntimeException
                                    |
                                    +--weblogic.security.service.MBeanException

public class MBeanException
extends SecurityServiceRuntimeException

The `MBeanException` exception is a general exception that is thrown if there are any problems with the MBeans required by the WebLogic Security Framework. For example, this exception may be thrown if MBeans are misconfigured or missing.

Author:
  Copyright (c) 2002 by BEA. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`MBeanException()` Constructs an `MBeanException` with no arguments.
`MBeanException(java.lang.String msg)` Constructs an `MBeanException` with the specified detail message.
`MBeanException(java.lang.String msg, java.lang.Throwable nested)` Constructs an `MBeanException` with a detail message and a nested exception.
`MBeanException(java.lang.Throwable nested)` Constructs an `MBeanException` with a nested exception.

Methods inherited from class weblogic.utils.NestedRuntimeException
`getNested, getNestedException, printStackTrace, printStackTrace, printStackTrace, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MBeanException

    public MBeanException()

  Constructs an `MBeanException` with no arguments.

### MBeanException

    public MBeanException(java.lang.String msg)

  Constructs an `MBeanException` with the specified detail message. A detail message is a String that describes this particular exception.

  Parameters:
    `msg` - a String providing additional information about this exception.

### MBeanException

    public MBeanException(java.lang.Throwable nested)

  Constructs an `MBeanException` with a nested exception.

  Parameters:
    `nested` - a `Throwable` object to wrapper as part of this exception.

### MBeanException

    public MBeanException(java.lang.String msg,
                          java.lang.Throwable nested)

  Constructs an `MBeanException` with a detail message and a nested exception.

  Parameters:
    `msg` - a String providing additional information about this exception.

    `nested` - a `Throwable` object to wrapper as part of this exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference